Get customer transactions
curl --request GET \
--url https://platform.runonatlas.com/external/customers/external-id/{externalId}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.runonatlas.com/external/customers/external-id/{externalId}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.runonatlas.com/external/customers/external-id/{externalId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"allocationBlockId": "atlas-internal-allocation-block-id-123",
"createdAt": "2021-01-01T00:00:00.000Z",
"id": "atlas-internal-transaction-id-123",
"merchantId": "atlas-internal-merchant-id-123",
"type": "planAllocation",
"updatedAt": "2021-01-01T00:00:00.000Z",
"amount": 100,
"billable": {
"id": "atlas-internal-billable-id-123",
"name": "AI Generation"
},
"allocationBlock": {
"id": "atlas-internal-allocation-block-id-123",
"amount": 100,
"customPricingUnitId": "atlas-internal-custom-pricing-unit-id-123",
"customPricingUnit": {
"displayName": "API Credits"
},
"invoice": {
"id": "atlas-internal-invoice-id-123",
"vanityId": 123456
},
"subscription": {
"billingCadence": "monthly",
"plan": {
"name": "Basic Plan"
}
}
},
"billableId": "atlas-internal-billable-id-123",
"eventId": "atlas-internal-event-id-123",
"operationId": "atlas-internal-operation-id-123"
}
],
"count": 100,
"pages": 10,
"currentPage": 1
}Customers
Get customer transactions
Get a paginated list of transactions for a customer by external ID (e.g. the customer ID in your system).
GET
/
external
/
customers
/
external-id
/
{externalId}
/
transactions
Get customer transactions
Authorizations
You can obtain this key from the Atlas dashboard. It must be of type secret
Path Parameters
The external ID of the customer (e.g. the customer ID in your system)
Minimum string length:
1Example:
"external-customer-id-123"
Query Parameters
The order of the results.
Available options:
asc, desc Example:
"asc"
The page number of the results.
Required range:
x >= 1Example:
1
The number of results per page.
Required range:
1 <= x <= 100Example:
10
⌘I

